import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { PopPreviewComponent } from './pop-preview/pop-preview.component';
import { PagePreviewComponent } from './page-preview/page-preview.component';
import { ImgUploadComponent } from './img-upload/img-upload.component';
import { FileUploadComponent } from './file-upload/file-upload.component';

import { NgZorroAntdModule } from 'ng-zorro-antd';
import { SnFileUploadComponent } from './sn-file-upload/sn-file-upload.component';

@NgModule({
  imports: [
    CommonModule,
    NgZorroAntdModule
  ],
  declarations: [PopPreviewComponent, PagePreviewComponent, ImgUploadComponent, FileUploadComponent, SnFileUploadComponent],
  exports: [PopPreviewComponent, PagePreviewComponent, ImgUploadComponent, FileUploadComponent, SnFileUploadComponent, NgZorroAntdModule]
})
export class SnFilerModule { }
