import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders } from '@angular/common/http';

const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type': 'application/json'
  })
};

@Injectable({
  providedIn: 'root'
})
export class SnFilerService {

  constructor(
    private http: HttpClient
  ) { }

  mapping(url: string, params: any): Observable<any> {
    return this.http.post(url, params, httpOptions);
  }

  //删除图片
  unmapFile(url: string, params: any): Observable<any> {
    return this.http.post(url + '/foundation/aliyun/api/Oss/Unmap', params)
  }
}
